Name:           python-jwcrypto
Version:        1.5.6
Release:        %mkrel 1
Summary:        Implementation of JOSE Web standards
Group:          Development/Python

License:        LGPLv3
URL:            https://github.com/latchset/jwcrypto
Source:         %{pypi_source jwcrypto}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
An implementation of the JOSE Working Group documents:

- RFC 7515 - JSON Web Signature (JWS)
- RFC 7516 - JSON Web Encryption (JWE)
- RFC 7517 - JSON Web Key (JWK)
- RFC 7518 - JSON Web Algorithms (JWA)
- RFC 7519 - JSON Web Token (JWT)
- RFC 7520 - Examples of Protecting Content Using JSON Object Signing and Encryption (JOSE).}

%description %_description

%package -n     python3-jwcrypto
Summary:        %{summary}

%description -n python3-jwcrypto %_description


%prep
%autosetup -p1 -n jwcrypto-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jwcrypto


%check
%tox


%files -n python3-jwcrypto -f %{pyproject_files}
%{_datadir}/doc/jwcrypto/LICENSE
%{_datadir}/doc/jwcrypto/README.md



%changelog
* Tue Jul 30 2024 papoteur <papoteur> 1.5.6-1.mga10
+ Revision: 2082906
- Imported as requirement for websockify

